
Ruby - Misc #13792

Rename spec/rubyspec to spec/ruby

08/09/2017 02:15 AM - hsbt (Hiroshi SHIBATA)

Status: Closed   

Priority: Normal   

Assignee: Eregon (Benoit Daloze)   

Description

This is consistency issue for ruby/spec.

Other ruby implementations use spec/ruby directory name.

https://github.com/jruby/jruby/tree/master/spec/ruby

https://github.com/graalvm/truffleruby/tree/master/spec/ruby

I think It is better if you change earlier, the commit log will not get moving commits.

@Eregon (Benoit Daloze) How do you think about this?

Associated revisions

Revision 1d15d5f08032acf1b7bceacbb450d617ff6e0931 - 09/20/2017 08:18 PM - Eregon (Benoit Daloze)

Move spec/rubyspec to spec/ruby for consistency

Other ruby implementations use the spec/ruby directory.

[Misc #13792] [ruby-core:82287]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59979 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 1d15d5f0 - 09/20/2017 08:18 PM - Eregon (Benoit Daloze)

Move spec/rubyspec to spec/ruby for consistency

Other ruby implementations use the spec/ruby directory.

[Misc #13792] [ruby-core:82287]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59979 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision aaf07f7ad5fa892911b2f5a5390cdfdb865d74d9 - 09/20/2017 08:19 PM - Eregon (Benoit Daloze)

Adapt tools to follow spec/rubyspec => spec/ruby rename

[Misc #13792] [ruby-core:82287]

Prefer test-spec over test-rubyspec in spec/README.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59980 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision aaf07f7a - 09/20/2017 08:19 PM - Eregon (Benoit Daloze)

Adapt tools to follow spec/rubyspec => spec/ruby rename

[Misc #13792] [ruby-core:82287]

Prefer test-spec over test-rubyspec in spec/README.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59980 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/14/2017 12:01 PM - Eregon (Benoit Daloze)

It sounds good to me.

I am not aware of technical problems with the current name, but it is inconsistent.

Should I do it?

Or do you want to perform the rename?

#2 - 09/20/2017 06:25 PM - Eregon (Benoit Daloze)

I will do it since I am assigned.
https://github.com/jruby/jruby/tree/master/spec/ruby
https://github.com/graalvm/truffleruby/tree/master/spec/ruby
https://bugs.ruby-lang.org/users/772


#3 - 09/20/2017 08:19 PM - Eregon (Benoit Daloze)

- Status changed from Open to Closed

Applied in changeset trunk|r59979.

Move spec/rubyspec to spec/ruby for consistency

Other ruby implementations use the spec/ruby directory.

[Misc #13792] [ruby-core:82287]

Powered by TCPDF (www.tcpdf.org)

07/17/2025 2/2

https://bugs.ruby-lang.org/issues/13792
bugs.ruby-lang.org/issues/13792
http://www.tcpdf.org

